James_Darkness

Members
  • Posts

    60
  • Joined

  • Last visited

Everything posted by James_Darkness

  1. i just added ram and ill try turning off vms and dockers
  2. i put the sys log into the zip file. i removed the docker that had its own ip and moved it to a vm. on wed my server crashed it said bad psu so i replaced one and it boots again but only for a day unraidnas-diagnostics-20211123-2257.zip
  3. i installed this on a Linux VM since unraid has a crashing issue when a docker has a custom ip but im running into a error now lancache@lancache-Standard-PC-Q35-ICH9-2009:~/lancache$ sudo docker-compose up -d Creating network "lancache_default" with the default driver Creating lancache_sniproxy_1 ... Creating lancache_monolithic_1 ... Creating lancache_sniproxy_1 ... done Creating lancache_dns_1 ... done ERROR: for monolithic a bytes-like object is required, not 'str' Traceback (most recent call last): File "/usr/lib/python3/dist-packages/docker/api/client.py", line 261, in _raise_for_status response.raise_for_status() File "/usr/lib/python3/dist-packages/requests/models.py", line 940, in raise_for_status raise HTTPError(http_error_msg, response=self) requests.exceptions.HTTPError: 500 Server Error: Internal Server Error for url: http+docker://localhost/v1.22/containers/ce8e0e80e94586aca94609a32cd27086ad2cc4826b7a8f886c91b54c10ccfdb4/start During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/compose/service.py", line 625, in start_container container.start() File "/usr/lib/python3/dist-packages/compose/container.py", line 241, in start return self.client.start(self.id, **options) File "/usr/lib/python3/dist-packages/docker/utils/decorators.py", line 19, in wrapped return f(self, resource_id, *args, **kwargs) File "/usr/lib/python3/dist-packages/docker/api/container.py", line 1095, in start self._raise_for_status(res) File "/usr/lib/python3/dist-packages/docker/api/client.py", line 263, in _raise_for_status raise create_api_error_from_http_exception(e) File "/usr/lib/python3/dist-packages/docker/errors.py", line 31, in create_api_error_from_http_exception raise cls(e, response=response, explanation=explanation) docker.errors.APIError: 500 Server Error: Internal Server Error ("b'driver failed programming external connectivity on endpoint lancache_monolithic_1 (4d83d6d16257591abd90a4d49cb97c2c7ead140900a180a7c5dabd3e08754a33): Bind for 0.0.0.0:443 failed: port is already allocated'") During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/bin/docker-compose", line 11, in <module> load_entry_point('docker-compose==1.25.0', 'console_scripts', 'docker-compose')() File "/usr/lib/python3/dist-packages/compose/cli/main.py", line 72, in main command() File "/usr/lib/python3/dist-packages/compose/cli/main.py", line 128, in perform_command handler(command, command_options) File "/usr/lib/python3/dist-packages/compose/cli/main.py", line 1107, in up to_attach = up(False) File "/usr/lib/python3/dist-packages/compose/cli/main.py", line 1088, in up return self.project.up( File "/usr/lib/python3/dist-packages/compose/project.py", line 565, in up results, errors = parallel.parallel_execute( File "/usr/lib/python3/dist-packages/compose/parallel.py", line 112, in parallel_execute raise error_to_reraise File "/usr/lib/python3/dist-packages/compose/parallel.py", line 210, in producer result = func(obj) File "/usr/lib/python3/dist-packages/compose/project.py", line 548, in do return service.execute_convergence_plan( File "/usr/lib/python3/dist-packages/compose/service.py", line 545, in execute_convergence_plan return self._execute_convergence_create( File "/usr/lib/python3/dist-packages/compose/service.py", line 460, in _execute_convergence_create containers, errors = parallel_execute( File "/usr/lib/python3/dist-packages/compose/parallel.py", line 112, in parallel_execute raise error_to_reraise File "/usr/lib/python3/dist-packages/compose/parallel.py", line 210, in producer result = func(obj) File "/usr/lib/python3/dist-packages/compose/service.py", line 465, in <lambda> lambda service_name: create_and_start(self, service_name.number), File "/usr/lib/python3/dist-packages/compose/service.py", line 457, in create_and_start self.start_container(container) File "/usr/lib/python3/dist-packages/compose/service.py", line 627, in start_container if "driver failed programming external connectivity" in ex.explanation: TypeError: a bytes-like object is required, not 'str' Error in sys.excepthook: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 153, in apport_excepthook with os.fdopen(os.open(pr_filename, FileNotFoundError: [Errno 2] No such file or directory: '/var/crash/_usr_bin_docker-compose.0.crash' Original exception was: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/docker/api/client.py", line 261, in _raise_for_status response.raise_for_status() File "/usr/lib/python3/dist-packages/requests/models.py", line 940, in raise_for_status raise HTTPError(http_error_msg, response=self) requests.exceptions.HTTPError: 500 Server Error: Internal Server Error for url: http+docker://localhost/v1.22/containers/ce8e0e80e94586aca94609a32cd27086ad2cc4826b7a8f886c91b54c10ccfdb4/start During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/compose/service.py", line 625, in start_container container.start() File "/usr/lib/python3/dist-packages/compose/container.py", line 241, in start return self.client.start(self.id, **options) File "/usr/lib/python3/dist-packages/docker/utils/decorators.py", line 19, in wrapped return f(self, resource_id, *args, **kwargs) File "/usr/lib/python3/dist-packages/docker/api/container.py", line 1095, in start self._raise_for_status(res) File "/usr/lib/python3/dist-packages/docker/api/client.py", line 263, in _raise_for_status raise create_api_error_from_http_exception(e) File "/usr/lib/python3/dist-packages/docker/errors.py", line 31, in create_api_error_from_http_exception raise cls(e, response=response, explanation=explanation) docker.errors.APIError: 500 Server Error: Internal Server Error ("b'driver failed programming external connectivity on endpoint lancache_monolithic_1 (4d83d6d16257591abd90a4d49cb97c2c7ead140900a180a7c5dabd3e08754a33): Bind for 0.0.0.0:443 failed: port is already allocated'") During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/bin/docker-compose", line 11, in <module> load_entry_point('docker-compose==1.25.0', 'console_scripts', 'docker-compose')() File "/usr/lib/python3/dist-packages/compose/cli/main.py", line 72, in main command() File "/usr/lib/python3/dist-packages/compose/cli/main.py", line 128, in perform_command handler(command, command_options) File "/usr/lib/python3/dist-packages/compose/cli/main.py", line 1107, in up to_attach = up(False) File "/usr/lib/python3/dist-packages/compose/cli/main.py", line 1088, in up return self.project.up( File "/usr/lib/python3/dist-packages/compose/project.py", line 565, in up results, errors = parallel.parallel_execute( File "/usr/lib/python3/dist-packages/compose/parallel.py", line 112, in parallel_execute raise error_to_reraise File "/usr/lib/python3/dist-packages/compose/parallel.py", line 210, in producer result = func(obj) File "/usr/lib/python3/dist-packages/compose/project.py", line 548, in do return service.execute_convergence_plan( File "/usr/lib/python3/dist-packages/compose/service.py", line 545, in execute_convergence_plan return self._execute_convergence_create( File "/usr/lib/python3/dist-packages/compose/service.py", line 460, in _execute_convergence_create containers, errors = parallel_execute( File "/usr/lib/python3/dist-packages/compose/parallel.py", line 112, in parallel_execute raise error_to_reraise File "/usr/lib/python3/dist-packages/compose/parallel.py", line 210, in producer result = func(obj) File "/usr/lib/python3/dist-packages/compose/service.py", line 465, in <lambda> lambda service_name: create_and_start(self, service_name.number), File "/usr/lib/python3/dist-packages/compose/service.py", line 457, in create_and_start self.start_container(container) File "/usr/lib/python3/dist-packages/compose/service.py", line 627, in start_container if "driver failed programming external connectivity" in ex.explanation: TypeError: a bytes-like object is required, not 'str'
  4. i change it to 443 and i get the same error i then tried changing everything to 443 just to test and still
  5. I plugged it into the second to last port of the switch is there anything else I can do
  6. i have a Dell Broadcom 57810s Dual Port 10gbe card and i thought all this time it was working with my 10g switch (netgear GS110MX) but i just notice that its not
  7. i have a pfsense router and i keep allowing the port in the nat portforwarding but when i check it or use the https://192.168.1.1/diag_testport.php to test the port it gives a error. i will change the port after i fix the issue
  8. thankkkkkkkkkkkkkkkkk youuuuuuuuu i just copied this and added my ethernet card in the basic view and it works
  9. so like the long title says my Ubuntu vm wont boot it takes like 999999 try's to get it to load. the only reason i reboot it is because i keep forgetting to make it not sleep and if it sleeps i cant login with the password
  10. lancache-bundle has to and that's it
  11. so i uninstalled some out of date dockers but now it crashed differently this time i think. the only dockers i have on are plex and lancache bundle Sep 14 19:31:01 syslog
  12. i've had unraid for a few years now but for the past few months it just keeps freezing on me and i have to hard reboot it i started saving the syslog to the flash drive a few days ago the 1st crash was on the 7th the another on the 10th and today it did freeze but firefox wouldn't work and none of my computers saw it on the network when i read the log i look for "microcode: microcode updated early to revision" and that's the first log that i see when i reboot my server after it freezes syslog
  13. syslogso my server froze last night hopefully this is the log i need. I only did the option where it saves it to my flash
  14. I did it on my phone and typed in my phones ip Is there anything else I should do
  15. for the past month unraid has been freezing every few days and i have to restart the server. i dont change anything on it.it just auto updates things and i save files to it. what logs should i upload to find whats the problem unraidnas-syslog-20200826-0404.zip unraidnas-diagnostics-20200825-2303.zip
  16. wait how do you install that i open a terminal but during step 3 i don't know what to do
  17. For me it's doing great. I don't know what else to say about them
  18. I got it. One of your old posts actually 8 had to change the default gateway to 192.168.1.1
  19. would you know how to unblock it in pfsense
  20. i just got a pfsense router and now the apps tab doesnt load
  21. I rebooted the system and it fixed it but maybe you can tell me why it happened. Also is there a way to protect the web ui some how unraidnas-diagnostics-20200515-0428.zip
  22. I think one of my raid 0 ssd cache drives is starting to brake and I can't make shares anymore and my old ones are all gone. I tryed turning it into raid 1 and stopping the arry and removing the drive from the cache and all my files are there but I can't make a share. Second question can I password protected the web ui or something
  23. Did you set you secondary dns when you changed it Also edit the lancache bundle and post a picture of what it looks like